mcp-http Binding
Bindingmcp-httpproxy
mcp-http Binding
The proxy kind mcp_http binding accepts mcp streams and produces http streams. It terminates tools/list, resources/list, and prompts/list from configuration, expands tools/call and resources/read into upstream http requests, and renders prompts/get from configured message templates.
proxy
Behave as an mcp_http proxy.
mcp_http_proxy:
type: mcp_http
kind: proxy
options:
authorization:
my_guard:
credentials:
headers:
authorization: Bearer {credentials}
tools:
create_pr:
description: Create a pull request to merge one branch into another.
summary: "Created pull request #${result.number}"
schemas:
input:
model: json
catalog:
my_catalog:
- subject: create_pr_params
version: latest
output:
model: json
catalog:
my_catalog:
- subject: create_pr_result
version: latest
resources:
order:
uri: "order://{orderId}"
description: Customer order by identifier
mimeType: application/json
schemas:
output:
model: json
catalog:
my_catalog:
- subject: order_result
version: latest
prompts:
summarize:
description: Summarize a document about a topic
arguments:
- name: topic
description: The topic to summarize
required: true
messages:
- role: user
text: "Please summarize the document about ${args.topic}."
routes:
- when:
- tool: create_pr
exit: http_client
with:
headers:
":method": POST
":scheme": https
":authority": api.github.com
":path": /repos/${args.owner}/${args.repo}/pulls
body:
model: json
catalog:
my_catalog:
- subject: create_pr_body
version: latest
- when:
- resource: order
exit: http_client
with:
headers:
":method": GET
":scheme": https
":authority": api.orders.internal
":path": /orders/${params.orderId}
